<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@004B=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility - Headquarters">
    <script state="on">
      <action>temp0 =maincpu.mb@E853</action>
    </script>
    <script state="run">
      <action>maincpu.mb@E853=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@E853=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Freeze All Enemies">
    <script state="run">
      <action>maincpu.pb@0100=02</action>
    </script>
  </cheat>

  <cheat desc="Headquarters Iron Guard">
    <script state="run">
      <action>maincpu.pb@0045=05</action>
      <action>maincpu.pd@072D=10101010</action>
      <action>maincpu.pb@074D=10</action>
      <action>maincpu.pb@0750=10</action>
      <action>maincpu.pb@076D=10</action>
      <action>maincpu.pb@0770=10</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Enable on the 'Push Start Button' screen after you've inserted a credit</comment>
    <parameter min="1" max="34" step="1"/>
    <script state="on">
      <action>maincpu.pb@0085=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@0085=(param)</action>
    </script>
  </cheat>

  <cheat desc="Finish Current Stage Soon!"> <comment>Wait a few seconds</comment>
    <script state="on">
      <action>maincpu.pb@0080=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@0051=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@0089=02</action>
    </script>
  </cheat>

  <cheat desc="Always Have Maximum Shot Power PL1">
    <script state="run">
      <action>maincpu.pb@00A8=60</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@0006=00|(maincpu.pb@0006 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@0052=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@008A=03</action>
    </script>
  </cheat>

  <cheat desc="Always Have Maximum Shot Power PL2">
    <script state="run">
      <action>maincpu.pb@00A9=60</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@0007=00|(maincpu.pb@0007 BAND ~02)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
